/***************************************************************************
 *   Copyright (C) 2004 by Marco Kraus                                     *
 *   marco@libsdl.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KONVPROCESS_H
#define KONVPROCESS_H

#include <qprocess.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qfileinfo.h>

/**
@author Marco Kraus
*/
class KonvProcess : public QProcess
{
Q_OBJECT
public:
    KonvProcess(QObject *parent = 0, const char *name = 0);

    ~KonvProcess();
    
    void setMencOpts( QStringList MencOpts ); //set mencoder options thru string list
    void setMencOpts( QString MencOpts ); //set mencoder options thru strings with slashes
    void setInFile( QString IFile );//set in file
    void setOutFile( QString OFile );//set out file
    QString getCommand();//returns the mencoder command that will be executed
    QStringList getOptions();//returns the mencoder command that will be executed without files
    QString inFile();//returns input file
    QString outFile();//returns output file
    QString outDir();//returns output dir
    void addOption( QString opt);
    void setDevNull(bool devNull);//sets to use /dev/null as an -o file
    
private:
    void UpdateCommand();//Updates QProcess command
    QString CheckSlashes( QString Slashes );
    QStringList Options;
    QString OutFile;
    QString InFile;
    bool UseDevNull;
};

#endif
